## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
# Rounding errors
%ifarch x86_64
%bcond_without check
%endif

%global debug_package %{nil}

# https://github.com/gonum/gonum
%global goipath         gonum.org/v1/gonum
%global forgeurl        https://github.com/gonum/gonum
Version:                0.9.3

%gometa

%global common_description %{expand:
Gonum is a set of packages designed to make writing numerical and scientific
algorithms productive, performant, and scalable.

Gonum contains libraries for matrices and linear algebra; statistics,
probability distributions, and sampling; tools for function differentiation,
integration, and optimization; network creation and analysis; and more.}

%global golicenses      LICENSE THIRD_PARTY_LICENSES/Bogaert-LICENSE THIRD_PARTY_LICENSES/Boost-LICENSE THIRD_PARTY_LICENSES/Cephes-LICENSE THIRD_PARTY_LICENSES/Fike-LICENSE THIRD_PARTY_LICENSES/Go-LICENSE THIRD_PARTY_LICENSES/Oxford-LICENSE THIRD_PARTY_LICENSES/Probab-LICENSE THIRD_PARTY_LICENSES/Sun-LICENSE
%global godocs          AUTHORS CONDUCT.md CONTRIBUTING.md CONTRIBUTORS README.md README-*.md

Name:           %{goname}
Release:        %autorelease
Summary:        Set of numeric libraries for Go

# Upstream license specification: MIT and BSD-3-Clause and BSL-1.0
License:        MIT and BSD and Boost
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/exp/rand)
BuildRequires:  golang(golang.org/x/tools/container/intsets)

%description
%{common_description}

%gopkg

%prep
%goprep
for f in blas diff floats graph integrate lapack mat mathext optimize stat; do
  mv $f/README.md README-$f.md
done


%install
%gopkginstall

%if %{with check}
%check
# https://github.com/gonum/gonum/issues/1775
%gocheck -t graph
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.9.3-9
- Fix FTBFS

* Mon Jun 17 2024 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.3-8
- Fix FTBFS

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 0.9.3-3
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Feb 24 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.3-1
- Disable tests gailing with Go 1.18 (bug #1775) Close: rhbz#2045634

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 25 00:15:11 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.2-2
- Go 1.16: temporarily disable failing tests until issue is sorted upstream

* Tue Dec 22 06:55:48 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.2-1
- Update to 0.8.2
- Close: rhbz#1869091

* Wed Aug 05 14:31:27 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.0-1
- Update to 0.7.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Apr 25 14:54:51 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190624git2a1643c
- Initial package

## END: Generated by rpmautospec
